%define	upstream_name	 Module-Install
%define upstream_version 1.19

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Standalone, extensible Perl module installer
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::PPPort) >= 3.160.0
BuildRequires: perl(ExtUtils::Install) >= 1.520.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(ExtUtils::ParseXS) >= 2.190.0
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Remove) >= 1.420.0
BuildRequires: perl(File::Spec) >= 3.280.0
BuildRequires: perl(Module::Build) >= 0.290.0
BuildRequires: perl(Module::CoreList) >= 2.170.0
BuildRequires: perl(Module::ScanDeps) >= 1.90.0
BuildRequires: perl(Parse::CPAN::Meta) >= 1.441.300
BuildRequires: perl(Test::Harness) >= 3.130.0
BuildRequires: perl(Test::More) >= 0.860.0
BuildRequires: perl(YAML::Tiny) >= 1.380.0
BuildRequires: perl(autodie)
BuildRequires: perl-PathTools >= 3.270.100
BuildArch:  noarch

%description
This module provides a drop-in replacement for ExtUtils::MakeMaker. For
first-time users, Brian Ingerson's Creating Module Distributions with
Module::Install in June 2003 issue of The Perl Journal
(http://www.tpj.com/issues/) provides a gentle introduction to how this
module works.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
chmod 644 Changes
find lib -type f | xargs chmod 644
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
# this one requires a working CPAN configuration
rm -f t/03_autoinstall.t
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README TODO
%{perl_vendorlib}/Module
%{perl_vendorlib}/inc/Module
%{_mandir}/man3/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.190.0-3.mga8
+ Revision: 1505172
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.190.0-2.mga7
+ Revision: 1284791
- Mageia 7 Mass Rebuild

* Sun Dec 24 2017 tv <tv> 1.190.0-1.mga7
+ Revision: 1184405
- update to 1.19

* Sat Jul 22 2017 wally <wally> 1.180.0-2.mga7
+ Revision: 1128385
- rebuild for new Perl 5.26.0

* Fri Jul 21 2017 tv <tv> 1.180.0-1.mga7
+ Revision: 1126348
- new release

* Sun Jun 19 2016 pterjan <pterjan> 1.160.0-3.mga6
+ Revision: 1030036
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.160.0-2.mga6
+ Revision: 967733
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 1.160.0-1.mga6
+ Revision: 850193
- update to 1.16

* Sun Oct 19 2014 umeabot <umeabot> 1.120.0-4.mga5
+ Revision: 790097
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.120.0-3.mga5
+ Revision: 744876
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.120.0-2.mga5
+ Revision: 685433
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 sander85 <sander85> 1.120.0-1.mga5
+ Revision: 669874
- update to 1.12

* Tue Jul 15 2014 sander85 <sander85> 1.100.0-1.mga5
+ Revision: 652902
- update to 1.10

* Thu Mar 13 2014 jquelin <jquelin> 1.80.0-1.mga5
+ Revision: 603022
- update to 1.08

* Fri Oct 18 2013 umeabot <umeabot> 1.60.0-3.mga4
+ Revision: 512989
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-2.mga3
+ Revision: 369821
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 jquelin <jquelin> 1.60.0-1.mga2
+ Revision: 218952
- update to 1.06

* Thu Nov 03 2011 jquelin <jquelin> 1.40.0-1.mga2
+ Revision: 162243
- update to 1.04

* Thu Oct 13 2011 jquelin <jquelin> 1.20.0-1.mga2
+ Revision: 154549
- fix url
- update to 1.02

* Thu Jun 23 2011 jquelin <jquelin> 1.10.0-1.mga2
+ Revision: 112639
- update to 1.01

* Wed Jan 19 2011 jquelin <jquelin> 1.0.0-1.mga1
+ Revision: 24303
- fix specs
- imported package perl-Module-Install

